from django.contrib import admin

from .models import Author, Genre, Book, BookInstance, FolderInfo, Permission, License, FolderPart

#admin.site.register(Book)
#admin.site.register(Author)
#admin.site.register(Genre)
admin.site.register(FolderInfo)
admin.site.register(License)
admin.site.register(FolderPart)
admin.site.register(Permission)


#@admin.register(BookInstance)
#class BookInstanceAdmin(admin.ModelAdmin):
#    list_display = ('book', 'status', 'borrower', 'due_back', 'id')
#    list_filter = ('status', 'due_back')#
#
#    fieldsets = (
#        (None, {
#            'fields': ('book','imprint', 'id')
#        }),
#        ('Availability', {
#            'fields': ('status', 'due_back','borrower')
#        }),
#    )